﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InteractionHeartbeat : Interaction {


    public Heartbeat hearbeat;

    [Range(0f, 1f)]
    public float reverbThreshold = 0.5f;

    [Range(130f, 180f)]
    public float maxBPM = 170f;

    [Range(30f, 50f)]
    public float minBPM = 30f;


    public override void NewValue(float barValue)
    {
        this.barValue = barValue;

        hearbeat.SetHeartBeatVolume(barValue);

        if (barValue > reverbThreshold) 
            hearbeat.EnableHeartbeatReverb(true);
        else
            hearbeat.EnableHeartbeatReverb(false);

        if (1f - barValue < minBPM/maxBPM) {hearbeat.SetHeartRate(minBPM); return; }

        hearbeat.SetHeartRate((1f - barValue)* maxBPM);



    }

    private void HeartBeatTriggered() { }

    public override void Play(AudioSource source, float barValue)
    {

        playing = true;
        hearbeat.HeartBeatEnabled(true);
        hearbeat.SpatializeBeatAudio(true);
        NewValue(barValue);
    }

    public override void Pause()
    {
       hearbeat.HeartBeatEnabled(false);
       hearbeat.EnableHeartbeatReverb(false);
       hearbeat.SpatializeBeatAudio(false);
    }

}
