﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class InteractionNoise : Interaction {

    public AudioClip track;

    public override void NewValue(float barValue)
    {
        this.barValue = barValue;
        if (source != null) source.DOFade(1f - this.barValue, 0.5f); 
    }

    public override void Play(AudioSource source, float barValue)
    {

        this.source = source;
        playing = true;
        source.clip = track;
        NewValue(barValue);
        source.Play();
        source.time = time;
    }

    public override void Pause()
    {

        if(source != null)
        {
            time = source.time;
            source.Pause();
        }
       
    }
}
